# logger file /etc/default/npdm
#
# Copyright (c) 2024 Li Qiong <liqong@nfschina.com> 
# Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
#
# You should have find a copy of NFSChina License. If not, please contact us
# by email <os_support@nfschina.com>

import os
import logging

import logging.config

class Logger:
    def  __init__(self):
        scriptdir =  os.path.dirname(os.path.abspath(__file__))
        logging.config.fileConfig(f'{scriptdir}/log.conf')

    def setLevel(self, level):
        LOGLEVEL = logging.DEBUG
        if level == "info":
            LOGLEVEL=logging.INFO
        elif level == "error":
            LOGLEVEL=logging.ERROR
        logging.getLogger().setLevel(LOGLEVEL)
        #print(f"{level}, {LOGLEVEL}")
        handlers = logging.getLogger().handlers
        for handler in handlers:
            handler.setLevel(LOGLEVEL)

    def d(self, message):
        logging.debug(message)

    def i(self, message):
        logging.info(message)

    def e(self, message):
        logging.error(message)

logger = Logger()

if __name__ == '__main__':
    logger.e("hello")
